import { Test, TestingModule } from '@nestjs/testing';
import { NotificationsController } from './NotificationsController';
import { NotificationsModule } from './NotificationsModule';
import { NotificationsService } from './NotificationsService';

describe('NotificationsModule', () => {
  let module: TestingModule;

  beforeEach(async () => {
    module = await Test.createTestingModule({
      imports: [NotificationsModule],
    }).compile();
  });

  it('should compile the module', () => {
    expect(module).toBeDefined();
  });

  it('should provide NotificationsController', () => {
    const controller = module.get<NotificationsController>(NotificationsController);
    expect(controller).toBeDefined();
    expect(controller).toBeInstanceOf(NotificationsController);
  });

  it('should provide NotificationsService', () => {
    const service = module.get<NotificationsService>(NotificationsService);
    expect(service).toBeDefined();
    expect(service).toBeInstanceOf(NotificationsService);
  });
});
